Subject: HELP !!!LTK1221604301785X-CONCIERGE
From: Gelna Genosolango <[email-masked]>
To: subir <[email-masked]>
Date: Tue, 7 Jul 2015 06:27:57 +0530 (IST)

Suite No. 0763-4406 
Concierge No. 121369 

Hi Subir sir, 

I really need your help. I made a mistake. I placed the order but Mel refused to proceed in placing this order. I have yet to cancel the concierge order of the cs ( current status is OH ) and the order already arrived. It was in cs suite but I had requested Jess to transfer it to unknown. 

Cs has requested for weight re-check for this shipment. He had a chat conversation with Kartik. 

Pls advise what to do and sorry for the mistake! 

Should I email cs that the shipment was not his shipment? Should I contact Samsung to arrange a return? 

Regards, 
Gelna